%define name 	bkchem
%define version 0.10.2
%define release 1mdk


Summary: 	Python 2D chemical structure drawing tool
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	http://www.zirael.org/bkchem/download/%name-%{version}.tar.bz2
URL: 		http://bkchem.zirael.org
License: 	GPL
Group: 		Sciences/Chemistry
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: 	python-devel 
Requires: 	python python-imaging Pmw PyXML
Buildarch:	noarch

%description
BKchem is a free (as in free software :o) chemical drawing program. It was
concieved and written by Beda Kosata.  Supported file formats are SVG and CML.
The output looks best with the Adobe SVG viewer, but sodipodi and batik do a
reasonable job as well.

%prep
%setup -q
touch INSTALL.binary

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir
touch $RPM_BUILD_ROOT/%_bindir/%name
python setup.py install --root=$RPM_BUILD_ROOT
chmod 644 gpl.txt README RELEASE
pushd $RPM_BUILD_ROOT/%_datadir
chmod 644 `find -type f`
chmod 755 `find -type d`
popd

rm -fr $RPM_BUILD_ROOT/%_prefix/doc/api

#fix executable
rm $RPM_BUILD_ROOT%_bindir/%name
echo '#!/bin/sh' > $RPM_BUILD_ROOT/%_bindir/%name
echo 'export BKCHEM_MODULE_PATH=%_libdir/python%pyver/site-packages/%name' >> $RPM_BUILD_ROOT/%_bindir/%name
echo 'export BKCHEM_TEMPLATE_PATH=%_datadir/%name/templates' >> $RPM_BUILD_ROOT/%_bindir/%name
echo 'export BKCHEM_PIXMAP_PATH=%_datadir/%name/pixmaps' >> $RPM_BUILD_ROOT/%_bindir/%name
echo 'export BKCHEM_IMAGE_PATH=%_datadir/%name/images' >> $RPM_BUILD_ROOT/%_bindir/%name
echo 'python %_libdir/python%pyver/site-packages/%name/%name.py' >> $RPM_BUILD_ROOT/%_bindir/%name
chmod 755 $RPM_BUILD_ROOT/%_bindir/%name

# menu
install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="bkchem"\
needs="x11"\
section="More Applications/Sciences/Chemistry"\
title="BKChem"\
icon="chemistry_section.png"\
longtitle="2D chemical structure drawing tool"
EOF

%find_lang BKchem

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files -f BKchem.lang
%defattr(-,root,root)
%doc gpl.txt README RELEASE 
%_bindir/%name
%_datadir/%name
%doc %_docdir/%name
%_libdir/python%pyver/site-packages/%name
%_menudir/%name

%changelog
* Thu Jul 14 2005 Austin Acton <austin@mandriva.org> 0.10.2-1mdk
- New release 0.10.2

* Thu Jun 30 2005 Lenny Cartier <lenny@mandriva.com> 0.10.1-1mdk
- 0.10.1

* Sun Jun 26 2005 Austin Acton <austin@mandriva.org> 0.10.0-1mdk
- New release 0.10.0

* Mon Dec 6 2004 Austin Acton <austin@mandrake.org> 0.9.0-1mdk
- 0.9.0
- source URL

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.8.1-2mdk
- Rebuild for new python
- various spec fix

* Fri Oct 8 2004 Austin Acton <austin@mandrake.org> 0.8.1-1mdk
- 0.8.1

* Mon Oct 4 2004 Austin Acton <austin@mandrake.org> 0.8.0-1mdk
- 0.8.0 final

* Thu Aug 26 2004 Austin Acton <austin@mandrake.org> 0.8.0-0.pre1.1mdk
- 0.8.0pre1

* Fri Aug 20 2004 Austin Acton <austin@mandrake.org> 0.7.1-2mdk
- new menu

* Wed Aug 11 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.7.1-1mdk
- 0.7.1

* Mon Aug 09 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0-1mdk
- 0.7.0

* Mon May 2 2004 Austin Acton <austin@mandrake.org> 0.6.0-1mdk
- 0.6.0

* Mon Mar 1 2004 Austin Acton <austin@mandrake.org> 0.5.2-1mdk
- 0.5.2

* Wed Feb 25 2004 Austin Acton <austin@mandrake.org> 0.5.1-1mdk
- 0.5.1

* Mon Feb 16 2004 Austin Acton <austin@mandrake.org> 0.5.1-0.pre1.1mdk
- 0.5.1pre1

* Tue Sep 30 2003 Austin Acton <aacton@yorku.ca> 0.5.0-1mdk
- 0.5.0 final

* Tue Aug 19 2003 Austin Acton <aacton@yorku.ca> 0.5.0-0.pre4.4mdk
- really python 2.3

* Thu Aug 7 2003 Austin Acton <aacton@yorku.ca> 0.5.0-0.pre4.3mdk
- python 2.3

* Tue Aug 5 2003 Austin Acton <aacton@yorku.ca> 0.5.0-0.pre4.2mdk
- make docs readable

* Tue Aug 5 2003 Austin Acton <aacton@yorku.ca> 0.5.0-0.pre4.1mdk
- 0.5.0pre4
- requires PyXML

* Mon Mar 31 2003 Austin Acton <aacton@yorku.ca> 0.4.3-1mdk
- 0.4.3

* Thu Mar 27 2003 Austin Acton <aacton@yorku.ca> 0.4.2-1mdk
- 0.4.2
- remove patches (merged u/s)

* Sat Mar 8 2003 Austin Acton <aacton@yorku.ca> 0.4.1-5mdk
- don't export full page either

* Wed Feb 19 2003 Austin Acton <aacton@yorku.ca> 0.4.1-4mdk
- apply bugfix patch from author
- patch to save cropped files, not full page

* Sun Jan 12 2003 Austin Acton <aacton@yorku.ca> 0.4.1-3mdk
- eliminate referencess to buildroot

* Tue Jan 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-2mdk
- rebuild

* Mon Dec 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-1mdk
- use find_lang macro
- from Austin Acton <aacton@yorku.ca> :
	- initial package
